=== debian/changelog ===
libarcus (3.1.0-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Update libarcus3.symbols for -O3 on ppc64el 

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 28 Jan 2018 20:51:18 +0000

libarcus (3.1.0-1) unstable; urgency=medium

  * New upstream release 3.1.0

 -- Gregor Riepl <onitake@gmail.com>  Tue, 16 Jan 2018 23:50:49 +0100

libarcus (3.0.3-4) unstable; urgency=medium

  * Added more missing symbols for arch:armel

 -- Gregor Riepl <onitake@gmail.com>  Thu, 30 Nov 2017 08:12:42 +0100

libarcus (3.0.3-3) unstable; urgency=medium

  * Added missing symbols for arch:armel
    Closes: #882495

 -- Gregor Riepl <onitake@gmail.com>  Wed, 29 Nov 2017 18:52:13 +0100

libarcus (3.0.3-2ubuntu1) bionic; urgency=medium

  * Update libarcus3.symbols for -O3 on ppc64el 

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Nov 2017 19:30:33 +0000

libarcus (3.0.3-2) unstable; urgency=medium

  * Updated symbols file to make the build succeed on other
    architectures than amd64 (Closes: #882495)

 -- Gregor Riepl <onitake@gmail.com>  Fri, 24 Nov 2017 20:19:48 +0100

libarcus (3.0.3-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * New upstream release 3.0.3.
  * Upstream license change to LGPL-3+.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 30 Oct 2017 09:15:52 +0000

libarcus (2.5.0-1) UNRELEASED; urgency=medium

  * Initial Debian release. Closes: #706656

 -- Gregor Riepl <onitake@gmail.com>  Wed, 26 Apr 2017 08:17:37 +0200
