=== debian/control ===
Source: libarcus
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
 libprotobuf-dev (>=3.0.0), libprotoc-dev (>=3.0.0), protobuf-compiler (>=3.0.0),
 python3-all-dev, python3-sip-dev
Standards-Version: 4.1.3
Section: libs
X-Python3-Version: >= 3.5
Homepage: https://github.com/Ultimaker/libArcus
Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/libarcus.git/
Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/libarcus.git

Package: libarcus3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message queue for Cura based on protobuf (shared library)
 This library contains C++ code and Python3 bindings for creating a socket
 in a thread and using this socket to send and receive messages based on
 the Protocol Buffers library. It is designed to facilitate the communication
 between Cura and its backend and similar code.
 This package contains the shared library.

Package: libarcus-dev
Section: libdevel
Architecture: any
Depends: libarcus3 (= ${binary:Version}), ${misc:Depends}
Description: message queue for Cura based on protobuf (development files)
 This library contains C++ code and Python3 bindings for creating a socket
 in a thread and using this socket to send and receive messages based on
 the Protocol Buffers library. It is designed to facilitate the communication
 between Cura and its backend and similar code.
 This package contains C++ headers and other development files.

Package: python3-arcus
Section: python
Architecture: any
Depends: libarcus3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: message queue for Cura based on protobuf (Python bindings)
 This library contains C++ code and Python3 bindings for creating a socket
 in a thread and using this socket to send and receive messages based on
 the Protocol Buffers library. It is designed to facilitate the communication
 between Cura and its backend and similar code.
 This package contains the Python 3 bindings.
