=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/libArcus-$1\.tar\.gz/ \
  https://github.com/Ultimaker/libArcus/tags .*/(\d\.\S+)\.tar\.gz
