## libarcus 3.3.0

=== debian/changelog ===
libarcus (3.3.0-2) unstable; urgency=medium

  [ Gregor Riepl ]
  * Blacklisted incompatible python3-sip version (4.19.11+dfsg-1)
  * Added new symbols that appear with current build dependencies.
    Closes: #914953
  * Depend on python3-dev since we're not building for all Python
    interpreters.
    Closes: #913069

  [ Matthias Klose ]
  * Marked some symbols as optional not seen when building with -O3.
    Closes: #912412

  [ Petter Reinholdtsen ]
  * Corrected incorrectly blacklisting of python3-sip version 4.19.12+dfsg-1.

 -- Gregor Riepl <onitake@gmail.com>  Mon, 10 Dec 2018 11:46:52 +0000

libarcus (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Migrated to salsa

 -- Gregor Riepl <onitake@gmail.com>  Mon, 18 Jun 2018 19:00:38 +0200

libarcus (3.2.1-1) unstable; urgency=medium

  * New upstream release 3.2.1
  * Marked some more symbols as optional.
    They are not available when compiling with -O3 on ppcle.
    Thanks to Graham Inggs from the Ubuntu project.
  * Set Multi-Arch:same to enable co-installability

 -- Gregor Riepl <onitake@gmail.com>  Fri, 16 Mar 2018 08:52:19 +0100
