=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: libarcus
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
+Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
+Build-Depends: debhelper (>=10.2.1), cmake (>=2.8.12), dh-python,
  libprotobuf-dev (>=3.0.0), libprotoc-dev (>=3.0.0), protobuf-compiler (>=3.0.0),
- python3-all-dev, python3-sip-dev
-Standards-Version: 4.1.3
+ python3-dev,
+ python3-sip-dev (>> 4.19.12+dfsg-1) | python3-sip-dev (<< 4.19.11+dfsg-1)
+Standards-Version: 4.1.4
 Section: libs
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/Ultimaker/libArcus
-Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/libarcus.git/
-Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/libarcus.git
+Vcs-Browser: https://salsa.debian.org/3dprinting-team/libarcus
+Vcs-Git: https://salsa.debian.org/3dprinting-team/libarcus.git
 
 Package: libarcus3
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: message queue for Cura based on protobuf (shared library)
  This library contains C++ code and Python3 bindings for creating a socket
@@ -26,6 +27,7 @@
 Package: libarcus-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libarcus3 (= ${binary:Version}), ${misc:Depends}
 Description: message queue for Cura based on protobuf (development files)
  This library contains C++ code and Python3 bindings for creating a socket
@@ -37,6 +39,7 @@
 Package: python3-arcus
 Section: python
 Architecture: any
+Multi-Arch: same
 Depends: libarcus3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Description: message queue for Cura based on protobuf (Python bindings)
  This library contains C++ code and Python3 bindings for creating a socket
