=== debian/changelog ===
libarcus (4.4.1-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:20 +0100

libarcus (4.4.1-2) unstable; urgency=medium

  * Team upload.
  * Ignore symbol changes for now.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jan 2020 21:59:23 +0100

libarcus (4.4.1-1) unstable; urgency=medium

  * Team upload.

  [ Gregor Riepl ]
  * New upstream version 4.2.0
  * Updated standards
  * Enable multi-Python build
  * Removed explicit Python 3.5 dependency, bullseye no longer needs it
  * Cleaned up exported API, patches are already merged upstream

  [ Christoph Berg ]
  * New upstream version 4.4.1.
  * tests: Depend on all python3 versions.

  [ Nicolas Dandrimont ]
  * Add patch to force python version in CMake.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jan 2020 10:39:42 +0100
