=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: debhelper (>=10.2.1), cmake (>=2.8.12), dh-python,
+Build-Depends: debhelper (>=10.2.1), cmake (>=3.12), dh-python,
  libprotobuf-dev (>=3.0.0), libprotoc-dev (>=3.0.0), protobuf-compiler (>=3.0.0),
- python3-dev,
+ python3-all-dev,
  python3-sip-dev (>> 4.19.12+dfsg-1) | python3-sip-dev (<< 4.19.11+dfsg-1)
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Section: libs
-X-Python3-Version: >= 3.5
 Homepage: https://github.com/Ultimaker/libArcus
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/libarcus
 Vcs-Git: https://salsa.debian.org/3dprinting-team/libarcus.git
@@ -40,7 +39,8 @@
 Section: python
 Architecture: any
 Multi-Arch: same
-Depends: libarcus3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Depends: libarcus3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
+ ${python3:Depends}, ${sip3:Depends}
 Description: message queue for Cura based on protobuf (Python bindings)
  This library contains C++ code and Python3 bindings for creating a socket
  in a thread and using this socket to send and receive messages based on
