=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,10 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+export PYBUILD_CONFIGURE_ARGS=-DPYVER={version}
+
+# Symbols vary across architectures, leave fix for later
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 0
+
 %:
-	dh $@ --buildsystem=cmake --with python3
+	dh $@ --buildsystem=pybuild --with python3 --with sip3
