## libarcus 4.6.2

=== debian/changelog ===
libarcus (4.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Drop symbols file, maintaining it was much more effort than it gained us.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Aug 2020 21:53:50 +0200

libarcus (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Mar 2020 18:19:25 +0100
