=== debian/changelog ===
libarcus (4.8-1) unstable; urgency=medium

  * New upstream version.
  * Set python lib directories correctly.
  * Mark autopkgtest as superficial. (Closes: #974450)
  * debian/watch: Handle -beta releases.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Nov 2020 10:38:45 +0100

libarcus (4.7.1-2) unstable; urgency=medium

  * Team upload.
  * Make reverse-dependencies require our current version as minimum
    dependency via shlibs. (Closes: #972422)

 -- Christoph Berg <myon@debian.org>  Sat, 31 Oct 2020 23:38:21 +0100

libarcus (4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.7.1.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Sep 2020 23:26:06 +0200
