=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libarcus
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
-Uploaders: Gregor Riepl <onitake@gmail.com>
+Uploaders: Gregor Riepl <onitake@gmail.com>,
+ Christoph Berg <myon@debian.org>,
 Build-Depends: debhelper (>=10.2.1), cmake (>=3.12), dh-python,
  libprotobuf-dev (>=3.0.0), libprotoc-dev (>=3.0.0), protobuf-compiler (>=3.0.0),
  python3-all-dev,
