=== debian/changelog ===
libarcus (4.13.0-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:50:44 +0100

libarcus (4.13.0-2) unstable; urgency=medium

  * Depend on python3-pyqt5.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Jan 2022 09:58:26 +0100

libarcus (4.13.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake, libprotobuf-dev,
      libprotoc-dev, protobuf-compiler and python3-sip-dev.

  [ Christoph Berg ]
  * New upstream version 4.13.0.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Jan 2022 09:24:21 +0100
