=== debian/changelog ===
libarcus (5.0.0-6) unstable; urgency=medium

  * Add cstdint include to address build failure with g++ 15.
    Closes: #1097162

 -- Gregor Riepl <onitake@gmail.com>  Mon, 01 Sep 2025 21:55:21 +0200

libarcus (5.0.0-5) unstable; urgency=medium

  * Remove dependency on SIP 4.x, it's no longer needed

 -- Gregor Riepl <onitake@gmail.com>  Thu, 11 Jan 2024 11:42:14 +0100

libarcus (5.0.0-4) unstable; urgency=medium

  * debian/tests: Python module got renamed to pyArcus.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jul 2023 14:28:53 +0000

libarcus (5.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 21:27:57 +0200

libarcus (5.0.0-2) experimental; urgency=medium

  [ Gregor Riepl ]
  * Add patch to fix protobuf bug. Thanks Laszlo! Closes: #1012575, #1023497

 -- Christoph Berg <myon@debian.org>  Sat, 31 Dec 2022 13:18:42 +0200

libarcus (5.0.0-1) experimental; urgency=medium

  [ Sebastian Kuzminsky ]
  * New upstream version 5.0.0.
  * Refresh patches.
  * Build-depend on the sip6 tools.
  * pq: reduce protobuf requirement to 3.12.4
  * Depend on python3-pyqt6.

  [ Christoph Berg ]
  * Bump libarcus soname to 5.
  * Use DH 13; remove now-redundant shlibs mangling from debian/rules.

 -- Christoph Berg <myon@debian.org>  Fri, 27 May 2022 15:56:48 +0200
