=== debian/control ===
--- 
+++ 
@@ -6,20 +6,21 @@
  Christoph Berg <myon@debian.org>,
 Build-Depends:
  cmake,
- debhelper (>= 10.2.1),
+ debhelper-compat (= 13),
  dh-python,
  libprotobuf-dev,
  libprotoc-dev,
  protobuf-compiler,
  python3-all-dev,
- python3-sip-dev,
+ python3-sipbuild,
+ sip-tools,
 Standards-Version: 4.6.0
 Section: libs
 Homepage: https://github.com/Ultimaker/libArcus
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/libarcus
 Vcs-Git: https://salsa.debian.org/3dprinting-team/libarcus.git
 
-Package: libarcus3
+Package: libarcus5
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -37,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libarcus3 (= ${binary:Version}),
+ libarcus5 (= ${binary:Version}),
  ${misc:Depends},
 Description: message queue for Cura based on protobuf (development files)
  This library contains C++ code and Python3 bindings for creating a socket
@@ -51,12 +52,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libarcus3 (= ${binary:Version}),
- python3-pyqt5,
+ libarcus5 (= ${binary:Version}),
+ python3-pyqt6,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
- ${sip3:Depends},
 Description: message queue for Cura based on protobuf (Python bindings)
  This library contains C++ code and Python3 bindings for creating a socket
  in a thread and using this socket to send and receive messages based on
